> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Update a custom column

POST https://ssuccessv2.com/app/api/v2/column/custom/field/update/{id}
Content-Type: application/json

Updates the name and option definitions of one existing SchoolSet custom column in the active school.

Reference: https://docs.schoolset.io/api-reference/school-set-api/custom-columns/update-column-custom-field

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `id` (integer, required) — Custom column identifier

### Body (application/json)

This endpoint expects an object.

- `name` (string, optional, nullable)
- `options` (ApiV2ColumnCustomFieldUpdateIdPostRequestBodyContentApplicationJsonSchemaOptions, optional, nullable)

## Response

### 200

Updated custom column resource

- `status` (string, required)
- `message` (string, required)
- `data` (map from string to any, required)

## Errors

### 401 Unauthorized Error

Authentication is required to update a custom column

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

The active user is not allowed to update custom columns

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

No custom column exists with this identifier

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

Custom column update fields failed validation

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Types

### ApiV2ColumnCustomFieldUpdateIdPostRequestBodyContentApplicationJsonSchemaOptions

- `new` (list of ApiV2ColumnCustomFieldUpdateIdPostRequestBodyContentApplicationJsonSchemaOptionsNewItems, optional)
- `old` (list of ApiV2ColumnCustomFieldUpdateIdPostRequestBodyContentApplicationJsonSchemaOptionsOldItems, optional)
- `del` (list of ApiV2ColumnCustomFieldUpdateIdPostRequestBodyContentApplicationJsonSchemaOptionsDelItems, optional)

### ApiV2ColumnCustomFieldUpdateIdPostRequestBodyContentApplicationJsonSchemaOptionsNewItems

- `name` (string, optional, nullable)
- `value` (string, optional, nullable)

### ApiV2ColumnCustomFieldUpdateIdPostRequestBodyContentApplicationJsonSchemaOptionsOldItems

- `id` (integer, optional, nullable)
- `name` (string, optional, nullable)
- `value` (string, optional, nullable)

### ApiV2ColumnCustomFieldUpdateIdPostRequestBodyContentApplicationJsonSchemaOptionsDelItems

- `id` (integer, optional, nullable)

## Examples

**Request**

```json
{
  "name": "Preferred contact method",
  "options": {
    "new": [
      {
        "name": "Text",
        "value": "text"
      }
    ],
    "old": [],
    "del": []
  }
}
```

**Response**

```json
{
  "status": "success",
  "message": "Saved successfully.",
  "data": {
    "id": 31,
    "name": "Preferred contact method",
    "options": [],
    "modules": [],
    "created_by": "School Admin"
  }
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v2/column/custom/field/update/31"

payload = {
    "name": "Preferred contact method",
    "options": {
        "new": [
            {
                "name": "Text",
                "value": "text"
            }
        ],
        "old": [],
        "del": []
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v2/column/custom/field/update/31';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"Preferred contact method","options":{"new":[{"name":"Text","value":"text"}],"old":[],"del":[]}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v2/column/custom/field/update/31"

	payload := strings.NewReader("{\n  \"name\": \"Preferred contact method\",\n  \"options\": {\n    \"new\": [\n      {\n        \"name\": \"Text\",\n        \"value\": \"text\"\n      }\n    ],\n    \"old\": [],\n    \"del\": []\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v2/column/custom/field/update/31")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Preferred contact method\",\n  \"options\": {\n    \"new\": [\n      {\n        \"name\": \"Text\",\n        \"value\": \"text\"\n      }\n    ],\n    \"old\": [],\n    \"del\": []\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://ssuccessv2.com/app/api/v2/column/custom/field/update/31")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Preferred contact method\",\n  \"options\": {\n    \"new\": [\n      {\n        \"name\": \"Text\",\n        \"value\": \"text\"\n      }\n    ],\n    \"old\": [],\n    \"del\": []\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://ssuccessv2.com/app/api/v2/column/custom/field/update/31', [
  'body' => '{
  "name": "Preferred contact method",
  "options": {
    "new": [
      {
        "name": "Text",
        "value": "text"
      }
    ],
    "old": [],
    "del": []
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v2/column/custom/field/update/31");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Preferred contact method\",\n  \"options\": {\n    \"new\": [\n      {\n        \"name\": \"Text\",\n        \"value\": \"text\"\n      }\n    ],\n    \"old\": [],\n    \"del\": []\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Preferred contact method",
  "options": [
    "new": [
      [
        "name": "Text",
        "value": "text"
      ]
    ],
    "old": [],
    "del": []
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v2/column/custom/field/update/31")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```